<?php
include "config.inc.php";
$config = get_config();
include ("wpkg_lib.php");
include ("wpkg_libsql.php");
include ("ldap.inc.php");

$liste_applications = liste_applications($config);

$raw_xml_winget = '<package id="winget" name="winget" revision="1" reboot="false" priority="1" category="winget" lnk="winget.lnk" category2="winget" compatibilite="4">
    <check type="execute" path="%ComSpec% /c echo winget" condition="exitcodeequalto" value="0"/>
    <install cmd="%ComSpec% /c echo winget"/>
    <upgrade cmd="%ComSpec% /c echo winget"/>
    <downgrade cmd="%ComSpec% /c echo winget"/>
    <remove cmd="%ComSpec% /c echo winget"/>
</package>';

$xml = new DOMDocument();
$xml->formatOutput = true;
$xml->preserveWhiteSpace = false;
$xml->load($url_packages);
$element = $xml->documentElement;
$packages = $xml->documentElement->getElementsByTagName('package');
$length = $packages->length;
$xml2 = new DOMDocument();
$xml2->formatOutput = true;
$xml2->preserveWhiteSpace = false;
$root = $xml2->createElement("packages");
$xml2->appendChild($root);
$packages2 = $xml2->documentElement->getElementsByTagName('package');
$i = 0;
foreach ($packages as $package) {
    if (array_key_exists(hash('md5', $package->getAttribute('id')), $liste_applications)) {
        $wpkg = true;
        if (! empty($config['winget'])) {
            // si no_winget est présent, on laisse wpkg faire l'install
            $winget = $package->getElementsByTagName("windows");
            foreach ($winget as $w) {
                if ($w->getAttribute('type') == "winget") {
                    $wpkg = false;
                    break;
                }
            }
        }
        if ($wpkg) {
            $variables = $package->getElementsByTagName("variable");
            foreach ($variables as $key => $variable) {
                if ($variable->getAttribute('source') == "sambaedu") {
                    if (! isset($config[$variable->getAttribute('value')])) {
                        // $config = set_config($config, $variable->getAttribute('value'), create_random_password(8, false), "wpkg");
                        $package->getElementsByTagName("variable")[$key]->setAttribute("value", "");
                    } else {
                        $package->getElementsByTagName("variable")[$key]->setAttribute("value", $config[$variable->getAttribute('value')]);
                    }
                }
            }
        } else {
            // le paquet est géré par winget, donc on ne fait rien
            $xml_winget = new DOMDocument();
            $xml_winget->loadXML($raw_xml_winget);
            $package_winget = $xml_winget->getElementsByTagName("package")->item(0);
            $package_winget->setAttribute("id", $package->getAttribute("id"));
            $package_winget->setAttribute("name", $package->getAttribute("name"));
            $package_winget->setAttribute("revision", $package->getAttribute("revision"));
            $package_winget->setAttribute("category", $package->getAttribute("category"));
            $package_winget->setAttribute("lnk", $package->getAttribute("lnk"));
            $package_winget->setAttribute("category2", $package->getAttribute("category2"));
            $package_winget->setAttribute("compatibilite", $package->getAttribute("compatibilite"));
            $package = $xml_winget->documentElement;
        }
        $node = $xml2->importNode($package, true);
        $xml2->documentElement->appendChild($node);
        $i ++;
    }
}
$comment = $xml2->createComment(" Fichier genere par SambaEdu. Ne pas modifier. Il contient " . ($i) . " applications. ");
$root->appendChild($comment);
$xml2->encoding = 'UTF-8';
header('Content-type: text/xml');
echo $xml2->saveXML();
?>