<?php
/**
 * Maintenance d'un parc
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @auteurs Laurent Joly
 * @note
 * @Licence Distribue sous la licence GPL
 */
/**
 *
 * @Repertoire: wpkg
 * file: parc_maintenance.php
 */
// loading libs and init
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
include "wpkg_lib.php";
include "wpkg_libsql.php";

$login = $config['login'];
if (! $login) {
    echo "<script language=\"JavaScript\" type=\"text/javascript\">\n<!--\n";
    $request = '/wpkg/index.php';
    echo "top.location.href = '/auth.php?request=" . rawurlencode($request) . "';\n";
    echo "//-->\n</script>\n";
    exit();
}

if (! have_right($config, SE_COMPUTER_ADMIN)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

// HTMLpurifier
$conf = HTMLPurifier_Config::createDefault();
$purifier = new HTMLPurifier($conf);

if (isset($_GET["tri"]))
    $tri = $purifier->purify($_GET["tri"]) + 0;
else
    $tri = 0;
if (isset($_GET["tri2"]))
    $tri2 = $purifier->purify($_GET["tri2"]) + 0;
else
    $tri2 = 0;
if (isset($_GET['Appli']))
    $get_Appli = $purifier->purify($_GET['Appli']);
else
    $get_Appli = "";
if (isset($_GET['parc']))
    $get_parc = $purifier->purify($_GET['parc']);
else
    $get_parc = "";
if (isset($_GET["warning"]))
    $get_warning = $purifier->purify($_GET["warning"]) + 0;
else
    $get_warning = 1;
if (isset($_GET["error"]))
    $get_error = $purifier->purify($_GET["error"]) + 0;
else
    $get_error = 1;
if (isset($_GET["ok"]))
    $get_ok = $purifier->purify($_GET["ok"]) + 0;
else
    $get_ok = 1;

echo "<form method='get' action=''>\n";
$page_id = 3;
include ("parc_top.php");
echo "</form>\n";

echo "<table align='center'>\n";
echo "<tr>\n";
echo "<td align='center'>";
echo "<a href='parc_maintenance_app.php?tri2=" . $tri2 . "&parc=" . $get_parc . "&ok=" . $get_ok . "&warning=" . $get_warning . "&error=" . $get_error . "'>Choix des applications à déployer</a>";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td align='center'>";
echo "<a href='parc_maintenance_categorie.php?tri2=" . $tri2 . "&parc=" . $get_parc . "&ok=" . $get_ok . "&warning=" . $get_warning . "&error=" . $get_error . "'>Choix d'une catégorie d'applications à déployer</a>";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td align='center'>";
echo "<a href='parc_maintenance_clone.php?tri2=" . $tri2 . "&parc=" . $get_parc . "&ok=" . $get_ok . "&warning=" . $get_warning . "&error=" . $get_error . "'>Copier la liste des applications à déployer sur un autre parc</a>";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";

$html = "";
admin_footer_html($html);
echo $html;
?>
